On May 11, 1:41=A0pm, John <jhs... / gmail.com> wrote:
> The command =A0"gem list -rd =A0a" =A0 generates the following error:
>
> C:\gemlist>gem list -rd a
>
> *** REMOTE GEMS ***
>
> ERROR: =A0While executing gem ... (ArgumentError)
> =A0 =A0 undefined class/module YAML::Syck::DefaultKey
>
> C:\Users\spanton\gemlist>gem update --system
> Latest version currently installed. Aborting.
>
> -------------------------------------------------------------------
> I running the following software:
>
> Windows 7
> ruby 1.9.2p180 (2011-02-18) [i386-mingw32]
> gem =A01.8.1
>
> Any suggetions or workaround?

Please provide the full output of "gem env" plus the same command with
"--debug -V" options:

gem list -rd --debug -V

One small note, listing remote gems might take a while, are you sure
you want to do that instead of browse rubygems.org?

--
Luis Lavena